//
//  OpenPlatformActionDataControl.m
//  OpenSDKDemo_Example
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#import "OpenPlatformActionDataControl.h"
#import "OpenPlatformSession.h"

@interface OpenPlatformActionDataControl ()

@property (nonatomic, copy, readwrite) NSArray<OpenPlatformSession *> *sessions;
@property (nonatomic, strong) OpenPlatformSession *baseInfoSession;

@end

@implementation OpenPlatformActionDataControl

- (instancetype)init
{
    self = [super init];
    if (self) {
        _sessions = @[self.baseInfoSession];
    }

    return self;
}

- (OpenPlatformSession *)baseInfoSession
{
    if (!_baseInfoSession) {
        _baseInfoSession = [[OpenPlatformSession alloc] init];
        _baseInfoSession.sessionTitle = @"Base App Info";
        _baseInfoSession.sessionDesc = @"";

        NSMutableArray *baseInfoItemArray = [NSMutableArray array];
        NSString *bundleID = [NSBundle mainBundle].bundleIdentifier;
        OpenPlatformDataItem *item0 = [OpenPlatformDataItem itemForTwoLabelWithTitle:@"BundleID"
                                                                          descString:bundleID
                                                                             context:nil
                                                                        eventHandler:nil];
        [baseInfoItemArray addObject:item0];

        NSString *clientKey = [[TikTokOpenSDKApplicationDelegate sharedInstance] appId];
        OpenPlatformDataItem *item1 = [OpenPlatformDataItem itemForTwoLabelWithTitle:@"ClientKey"
                                                                          descString:clientKey
                                                                             context:nil
                                                                        eventHandler:nil];
        [baseInfoItemArray addObject:item1];

        BOOL isAppInstall = [[TikTokOpenSDKApplicationDelegate sharedInstance] isAppInstalled];
        OpenPlatformDataItem *item2 = [OpenPlatformDataItem itemForTwoLabelWithTitle:@"Target app Installed"
                                                                          descString:isAppInstall?@"YES":@"NO"
                                                                             context:nil
                                                                        eventHandler:nil];
        [baseInfoItemArray addObject:item2];
        _baseInfoSession.items = baseInfoItemArray.copy;
    }

    return _baseInfoSession;
}

@end